/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package Models.BonLivraisonClt;

import javafx.beans.property.SimpleStringProperty;

/**
 *
 * @author Maher
 */
public class BonLivraisonCltProduitList {
    
    private final SimpleStringProperty Reference;
    private final SimpleStringProperty Designation;
    private final SimpleStringProperty Marque;
    private final SimpleStringProperty Categorie;
    private final SimpleStringProperty ProdDisponible;
    private final SimpleStringProperty QuantiteProd;
    private final SimpleStringProperty QuantiteStock;
    private final SimpleStringProperty PrixTTC;
    
    public BonLivraisonCltProduitList(String reference, String designation, String marque, String categorie, String prod_disp, String quantite_prod,  String quantite_stock, String prix_ttc) {
        this.Reference = new SimpleStringProperty(reference);
        this.Designation = new SimpleStringProperty(designation);
        this.Marque = new SimpleStringProperty(marque);
        this.Categorie = new SimpleStringProperty(categorie);
        this.ProdDisponible = new SimpleStringProperty(prod_disp);
        this.QuantiteProd = new SimpleStringProperty(quantite_prod);
        this.QuantiteStock = new SimpleStringProperty(quantite_stock);
        this.PrixTTC = new SimpleStringProperty(prix_ttc);
    }
    
    public String getReference() {
        return Reference.get();
    }
    
    public String getDesignation() {
        return Designation.get();
    }
    
    public String getMarque() {
        return Marque.get();
    }
    
    public String getCategorie() {
        return Categorie.get();
    }
    
    public String getProdDisponible() {
        return ProdDisponible.get();
    }
    
    public String getQuantiteProd() {
        return QuantiteProd.get();
    }
    
    public String getQuantiteStock() {
        return QuantiteStock.get();
    }
    
    public String getPrixTTC() {
        return PrixTTC.get();
    }
}
